# Uses of Enum
com.fasterxml.jackson.annotation.JsonTypeInfo.As

## Uses of JsonTypeInfo.As in com.fasterxml.jackson.annotation

Methods in com.fasterxml.jackson.annotation that return JsonTypeInfo.As
Modifier and Type
Method
Description
`static JsonTypeInfo.As`
JsonTypeInfo.As.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonTypeInfo.As[]`
JsonTypeInfo.As.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.